
package com.biperf.test.jms.async;

import java.io.Serializable;

/**
 * This class is used to encapsulate the notification of index changes throughout the cluster. The
 * serverName variable is used by the consumer to determine if the message was sent by itself.
 * Generally speaking, if the serverName of the notification is the same, then the index refresh has
 * already occurred and this notification can be ignored.
 */
public class TestMessage implements Serializable
{
  private static final long serialVersionUID = -1L;

  private String message = null;

  public String getMessage()
  {
    return message;
  }

  public void setMessage( String message )
  {
    this.message = message;
  }
}