
package com.biperf.test.jms.async;

import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.ObjectMessage;

import org.apache.log4j.Logger;

public class TestMessageListener implements MessageListener
{
  private static Logger logger = Logger.getLogger( MessageListener.class );

  public void onMessage( Message message )
  {
    logger.error( "=== TestMessageListener onMessage! ====" );
    try
    {
      if ( message instanceof ObjectMessage )
      {
        TestMessage msg = (TestMessage) ( (ObjectMessage)message ).getObject();
        logger.error( "=== Message Content: " + msg.getMessage() + " ====" );
      }
    }
    catch( Exception e )
    {
      e.printStackTrace();
      logger.error( e.getMessage(), e );
    }
  }
}