
package com.biperf.test.jms.mdb;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.ObjectMessage;

import org.apache.log4j.Logger;

import com.biperf.test.jms.async.TestMessage;

//@MessageDriven( name = "TestMDB", mappedName = "jms/testJmsTopic", activationConfig = { @ActivationConfigProperty( propertyName = "destination", propertyValue = "TestJmsTopic" ),
//                                                                                               @ActivationConfigProperty( propertyName = "destinationType", propertyValue = "javax.jms.Topic" ) } )
//@MessageDriven( name = "TestMDB", mappedName = "jms/testJmsTopic", activationConfig = { @ActivationConfigProperty( propertyName = "DestinationType", propertyValue = "javax.jms.Topic" ) } )
@MessageDriven( mappedName = "jms/testJmsTopic" )
public class TestMessageDrivenBean implements MessageListener
{
  private static Logger logger = Logger.getLogger( TestMessageDrivenBean.class );

  @Override
  public void onMessage( Message message )
  {
    logger.error( "==== Entering onMessage ======" );
    try
    {
      TestMessage msg = (TestMessage) ( (ObjectMessage)message ).getObject();
      logger.error( "Message Content: " + msg.getMessage() );
    }
    catch( Exception e )
    {
      logger.error( e.getMessage(), e );
      e.printStackTrace();
    }
    logger.error( "==== Leaving onMessage ======" );
  }
}